Update build dependencies to a downloadable version of Eclipse WTP
authorNicolas Lalevée <nicolas.lalevee@hibnet.org>
Sun, 15 Jul 2018 17:51:23 +0000 (19:51 +0200)
committerNicolas Lalevée <nicolas.lalevee@hibnet.org>
Sun, 15 Jul 2018 17:51:23 +0000 (19:51 +0200)
build.properties
build.xml

index d573f80..2dd9bb5 100644 (file)
@@ -37,9 +37,9 @@ eclipse.download.sdk.baseurl=http://archive.eclipse.org
 eclipse.download.sdk.name=eclipse-SDK-4.3.2-win32
 eclipse.download.sdk.dropdir=eclipse/downloads/drops4/R-4.3.2-201402211700
 eclipse.download.sdk.md5=6de9fd3670ecd40b0f8adeb4740dc852
-eclipse.download.wtp.name=wtp4x-R-3.4.2-20130208151217
-eclipse.download.wtp.dropdir=webtools/downloads/drops/R3.4.2/R-3.4.2-20130208151217
-eclipse.download.wtp.md5=db368b786f7a43d373b27f1379b0359f
+eclipse.download.wtp.name=wtp-repo-R-3.9.5-20180409100740
+eclipse.download.wtp.dropdir=webtools/downloads/drops/R3.9.5/R-3.9.5-20180409100740
+eclipse.download.wtp.md5=8296627fe536f8a4e4b62e73bb18540c
 eclipse.download.emf.name=emf-runtime-2.9.2
 eclipse.download.emf.dropdir=modeling/emf/emf/downloads/drops/2.9.2/R201402031126
 eclipse.download.emf.md5=498713f53a20d7456042beaa3785baa4
index 67fe16a..2c7308c 100644 (file)
--- a/build.xml
+++ b/build.xml
@@ -655,6 +655,10 @@ You have to specify the Ivy to install with one of the following property:
         <unzip src="${basedir}/dependencies/${eclipse.download.gef.name}.zip" dest="${basedir}/dependencies/eclipse/dropins/${eclipse.download.gef.name}"/>
         <mkdir dir="${basedir}/dependencies/eclipse/dropins/${eclipse.download.zest.name}"/>
         <unzip src="${basedir}/dependencies/${eclipse.download.zest.name}.zip" dest="${basedir}/dependencies/eclipse/dropins/${eclipse.download.zest.name}"/>
+        <!-- remove files from p2 repo packaging, it confuses the build -->
+        <delete>
+            <fileset dir="${basedir}/dependencies/eclipse/dropins/" includes="*/artifacts.jar,*/content.jar" />
+        </delete>
         <move file="${basedir}/dependencies/eclipse" tofile="${basedir}/dependencies/${eclipse.download.sdk.name}"/>
     </target>